Skip to main content
PATCH
Update bare metal GPU image

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

image_id
string
required

Image ID

Example:

"8cab6f28-09ca-4201-b3f7-23c7893f4bd6"

Body

application/json
min_disk
integer

Minimal boot volume required (GB)

Required range: 0 <= x <= 8192
Example:

20

min_ram
integer

Minimal RAM required (MB)

Required range: 0 <= x <= 4194304
Example:

0

name
string

Image display name

Pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
Example:

"my-gpu-image"

tags
UpdateTagsSerializer · object | null

Key-value tags to associate with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Both tag keys and values have a maximum length of 255 characters. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:

Response

200 - application/json

OK

created_at
string<date-time>
required

Datetime when the image was created

Example:

"2024-05-05T14:51:26.570866"

cuda_toolkit_version
string | null
required

Version of the installed CUDA toolkit

Example:

"13.0.2"

disk_format
string
required

Disk format of the stored image (e.g. raw, qcow2). cow_format=true -> raw, cow_format=false -> qcow2.

Example:

"raw"

id
string<uuid4>
required

Image ID

Example:

"44e136a7-15c1-4b5f-a086-20b7b3237d40"

min_disk
integer
required

Minimal boot volume required

Example:

1

min_ram
integer
required

Minimal VM RAM required

Example:

0

name
string
required

Image name

Example:

"ubuntu-23.10-x64"

status
string
required

Image status

Example:

"active"

tags
TagSerializer · object[]
required

List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

Example:
updated_at
string<date-time>
required

Datetime when the image was updated

Example:

"2024-05-05T14:51:26.570866"

visibility
string
required

Image visibility. Globally visible images are public

Example:

"public"

architecture
string | null

Image architecture type

Example:

"x86_64"

gpu_driver
string | null

Name of the GPU driver vendor

Example:

"nvidia"

gpu_driver_type
string | null

Type of the GPU driver

Example:

"open"

gpu_driver_version
string | null

Version of the installed GPU driver

Example:

"570.148.08"

hw_firmware_type
enum<string> | null

Specifies the type of firmware with which to boot the guest.

Available options:
bios,
uefi
Example:

"bios"

os_distro
string | null

OS Distribution

Example:

"ubuntu"

os_type
string | null

The operating system installed on the image

Example:

"linux"

os_version
string | null

OS version, i.e. 19.04 (for Ubuntu) or 9.4 for Debian

Example:

"19.04"

size
integer
default:0

Image size in bytes.

Example:

3758096384

ssh_key
string | null

Whether the image supports SSH key or not

Example:

"allow"

task_id
string | null

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

Example:

null